deps_config_cache := $(filter-out config/custom.in, \
	config/Config.in \
	config/ui/user-competence.in \
	config/ui/firmware.in \
	config/ui/ipv6.in \
	config/ui/kernel.in \
	config/ui/avm-plugins.in \
	config/ui/patches.in \
	config/ui/packages.in \
	make/Config.in.generated \
	make/gdb/Config.in \
	make/inotify-tools/Config.in \
	make/ldd/Config.in \
	make/lsof/Config.in \
	make/ltrace/Config.in \
	make/nano-shell/Config.in \
	make/pciutils/Config.in \
	make/strace/Config.in \
	make/target-tester/Config.in \
	make/usbutils/Config.in \
	make/aiccu/Config.in \
	make/apache/Config.in \
	make/apache2/Config.in \
	make/atop/Config.in \
	make/autofs/Config.in \
	make/autossh/Config.in \
	make/avahi/Config.in \
	make/bash/Config.in \
	make/bftpd/Config.in \
	make/bfusb/Config.in \
	make/bind/Config.in \
	make/bip/Config.in \
	make/bird/Config.in \
	make/bittwist/Config.in \
	make/bluez-utils/Config.in \
	make/br2684ctl/Config.in \
	make/bridge-utils/Config.in \
	make/bvi/Config.in \
	make/callmonitor/Config.in \
	make/ccid/Config.in \
	make/checkmaild/Config.in \
	make/cifsmount/Config.in \
	make/classpath/Config.in \
	make/cntlm/Config.in \
	make/comgt/Config.in \
	make/cpmaccfg/Config.in \
	make/cryptsetup/Config.in \
	make/ctorrent/Config.in \
	make/curl/Config.in \
	make/dante/Config.in \
	make/davfs2/Config.in \
	make/dbus/Config.in \
	make/debootstrap/Config.in \
	make/deco/Config.in \
	make/decrypt-fritzos-cfg/Config.in \
	make/digitemp/Config.in \
	make/dns2tcp/Config.in \
	make/dnsmasq/Config.in \
	make/dosfstools/Config.in \
	make/dropbear/Config.in \
	make/dtach/Config.in \
	make/dvbsnoop/Config.in \
	make/dvbstream/Config.in \
	make/dvbtune/Config.in \
	make/e2fsprogs/Config.in \
	make/emailrelay/Config.in \
	make/empty/Config.in \
	make/espeak/Config.in \
	make/ffmpeg/Config.in \
	make/fortune/Config.in \
	make/fowsr/Config.in \
	make/fstyp/Config.in \
	make/fuse/Config.in \
	make/ghostscript-fonts/Config.in \
	make/git/Config.in \
	make/gntpsend/Config.in \
	make/gnu-make/Config.in \
	make/gnutls/Config.in \
	make/gocr/Config.in \
	make/gw6/Config.in \
	make/haproxy/Config.in \
	make/haserl/Config.in \
	make/hd-idle/Config.in \
	make/hol/Config.in \
	make/html2text/Config.in \
	make/htop/Config.in \
	make/htpdate/Config.in \
	make/httpry/Config.in \
	make/httptunnel/Config.in \
	make/iconv/Config.in \
	make/ifstat/Config.in \
	make/iftop/Config.in \
	make/igmpproxy/Config.in \
	make/imagemagick/Config.in \
	make/inadyn-mt/Config.in \
	make/inadyn-opendns/Config.in \
	make/inetd/Config.in \
	make/iodine/Config.in \
	make/ipsec-tools/Config.in \
	make/iptraf/Config.in \
	make/iputils/Config.in \
	make/irssi/Config.in \
	make/isc-dhcp/Config.in \
	make/jamvm/Config.in \
	make/js/Config.in \
	make/knock/Config.in \
	make/lftp/Config.in \
	make/lighttpd/Config.in \
	make/lua/Config.in \
	make/lynx/Config.in \
	make/madplay/Config.in \
	make/mc/Config.in \
	make/mcabber/Config.in \
	make/mediatomb/Config.in \
	make/microperl/Config.in \
	make/mini-snmpd/Config.in \
	make/minicom/Config.in \
	make/minidlna/Config.in \
	make/mod/Config.in \
	make/modcgi/Config.in \
	make/module-init-tools/Config.in \
	make/mtr/Config.in \
	make/nagios/Config.in \
	make/nano/Config.in \
	make/nc6/Config.in \
	make/ncftp/Config.in \
	make/ndas/Config.in \
	make/netatalk/Config.in \
	make/netcat/Config.in \
	make/netpbm/Config.in \
	make/netsnmp/Config.in \
	make/nfs-utils/Config.in \
	make/nfsroot/Config.in \
	make/ngircd/Config.in \
	make/nmap/Config.in \
	make/noip/Config.in \
	make/ntfs/Config.in \
	make/nzbget/Config.in \
	make/obexftp/Config.in \
	make/oidentd/Config.in \
	make/openconnect/Config.in \
	make/opendd/Config.in \
	make/openntpd/Config.in \
	make/openssh/Config.in \
	make/openssl/Config.in \
	make/openvpn/Config.in \
	make/owfs/Config.in \
	make/pcsc-lite/Config.in \
	make/phonebook-tools/Config.in \
	make/php/Config.in \
	make/pingtunnel/Config.in \
	make/polipo/Config.in \
	make/portmap/Config.in \
	make/ppp/Config.in \
	make/pppd/Config.in \
	make/pptp/Config.in \
	make/pptpd/Config.in \
	make/privatekeypassword/Config.in \
	make/privoxy/Config.in \
	make/pyload/Config.in \
	make/python/Config.in \
	make/python-bjoern/Config.in \
	make/python-cheetah/Config.in \
	make/python-imaging-library/Config.in \
	make/python-mechanize/Config.in \
	make/python-pycrypto/Config.in \
	make/python-pycurl/Config.in \
	make/python-pyopenssl/Config.in \
	make/python-pyrrd/Config.in \
	make/python-pyserial/Config.in \
	make/python-yenc/Config.in \
	make/quagga/Config.in \
	make/radvd/Config.in \
	make/rcapid/Config.in \
	make/ripmime/Config.in \
	make/rrdtool/Config.in \
	make/rsync/Config.in \
	make/rtmpdump/Config.in \
	make/ruby/Config.in \
	make/ruby-fcgi/Config.in \
	make/rush/Config.in \
	make/sablevm-sdk/Config.in \
	make/samba/Config.in \
	make/screen/Config.in \
	make/ser2net/Config.in \
	make/sfk/Config.in \
	make/shellinabox/Config.in \
	make/siproxd/Config.in \
	make/sispmctl/Config.in \
	make/slang/Config.in \
	make/slurm/Config.in \
	make/smartmontools/Config.in \
	make/smstools3/Config.in \
	make/smusbutil/Config.in \
	make/socat/Config.in \
	make/spawn-fcgi/Config.in \
	make/sqlite/Config.in \
	make/squashfs3/Config.in \
	make/squashfs4/Config.in \
	make/sshfs-fuse/Config.in \
	make/sslh/Config.in \
	make/streamripper/Config.in \
	make/stunnel/Config.in \
	make/subversion/Config.in \
	make/sudo/Config.in \
	make/sundtek/Config.in \
	make/sundtek-rtspd/Config.in \
	make/synce-dccm/Config.in \
	make/synce-serial/Config.in \
	make/tcp_wrappers/Config.in \
	make/tcpdump/Config.in \
	make/tcpproxy/Config.in \
	make/tesseract/Config.in \
	make/tichksum/Config.in \
	make/tiff/Config.in \
	make/tinc/Config.in \
	make/tinyproxy/Config.in \
	make/tmux/Config.in \
	make/tor/Config.in \
	make/transmission/Config.in \
	make/tree/Config.in \
	make/trickle/Config.in \
	make/udpxy/Config.in \
	make/umurmur/Config.in \
	make/unfs3/Config.in \
	make/unrar/Config.in \
	make/usbids/Config.in \
	make/util-linux/Config.in \
	make/vim/Config.in \
	make/vnstat/Config.in \
	make/vpnc/Config.in \
	make/vsftpd/Config.in \
	make/vtun/Config.in \
	make/wget/Config.in \
	make/wol/Config.in \
	make/wput/Config.in \
	make/xmail/Config.in \
	make/xpdf/Config.in \
	make/xrelayd/Config.in \
	make/xsltproc/Config.in \
	make/xz/Config.in \
	make/asterisk/Config.in \
	make/asterisk-gui/Config.in \
	make/asterisk/Config.in.generated \
	make/asterisk-chan-capi/Config.in \
	make/asterisk-chan-dongle/Config.in \
	make/asterisk-chan-sccp/Config.in \
	make/axtlswrap/Config.in \
	make/collectd/Config.in \
	make/dtmfbox/Config.in \
	make/dtmfbox-cgi/Config.in \
	make/gptfdisk/Config.in \
	make/hp-utils/Config.in \
	make/hplip/Config.in \
	make/iptables/Config.in \
	make/iptables-cgi/Config.in \
	make/nhipt/Config.in \
	make/iptables/Config.in.modules \
	make/mini_fo/Config.in \
	make/sane-backends/Config.in \
	make/scanbuttond/Config.in \
	make/squid/Config.in \
	make/truecrypt/Config.in \
	make/usbip/Config.in \
	make/usbroot/Config.in \
	make/virtualip-cgi/Config.in \
	make/zabbix/Config.in \
	make/authorized-keys/Config.in \
	make/avm-firewall/Config.in \
	make/avm-forwarding/Config.in \
	make/cpmaccfg-cgi/Config.in \
	make/dnsd-cgi/Config.in \
	make/downloader/Config.in \
	make/nfsd-cgi/Config.in \
	make/onlinechanged-cgi/Config.in \
	make/openvpn-cgi/Config.in \
	make/openvpn-v2-cgi/Config.in \
	make/phpxmail/Config.in \
	make/ppp-cgi/Config.in \
	make/rrdstats/Config.in \
	make/spindown-cgi/Config.in \
	make/sg3_utils/Config.in \
	make/syslogd-cgi/Config.in \
	make/transmission-cgi/Config.in \
	make/vnstat-cgi/Config.in \
	make/wol-cgi/Config.in \
	config/ui/shared-libraries.in \
	make/libs/Config.in \
	make/libs/apr/Config.in \
	make/libs/apr-util/Config.in \
	make/avahi/Config.in.libs \
	make/libs/libstdcxx/Config.in \
	make/libs/uclibcxx/Config.in \
	make/iconv/Config.in.libs \
	make/libs/gettext/Config.in \
	make/libs/libgpg-error/Config.in \
	make/libs/libgcrypt/Config.in \
	make/gnutls/Config.in.libs \
	make/libs/libtasn1/Config.in \
	make/libs/mbedtls/Config.in \
	make/libs/nettle/Config.in \
	make/openssl/Config.in.libs \
	make/libs/libavmhmac/Config.in \
	make/libs/polarssl12/Config.in \
	make/libs/polarssl13/Config.in \
	make/libs/lz4/Config.in \
	make/xz/Config.in.libs \
	make/libs/lzo/Config.in \
	make/libs/zlib/Config.in \
	make/libs/db/Config.in \
	make/sqlite/Config.in.libs \
	make/e2fsprogs/Config.in.libs \
	make/fuse/Config.in.libs \
	make/ntfs/Config.in.libs \
	make/libs/glib2/Config.in \
	make/libs/freetype/Config.in \
	make/libs/libart_lgpl/Config.in \
	make/libs/libexif/Config.in \
	make/libs/jpeg/Config.in \
	make/libs/leptonica/Config.in \
	make/libs/libpng/Config.in \
	make/libs/libgd/Config.in \
	make/libs/openjpeg/Config.in \
	make/tesseract/Config.in.libs \
	make/tiff/Config.in.libs \
	make/netpbm/Config.in.libs \
	make/libs/gmp/Config.in \
	make/libs/mpfr/Config.in \
	make/libs/mpc/Config.in \
	make/libs/flac/Config.in \
	make/libs/libmad/Config.in \
	make/libs/libogg/Config.in \
	make/libs/opus/Config.in \
	make/libs/speex/Config.in \
	make/ffmpeg/Config.in.libs \
	make/libs/libvorbis/Config.in \
	make/libs/libid3tag/Config.in \
	make/libs/taglib/Config.in \
	make/libs/ncurses/Config.in \
	make/libs/ncurses/ncurses-Config.in \
	make/libs/linux-atm/Config.in \
	make/libs/bluez-libs/Config.in \
	make/libs/openobex/Config.in \
	make/libs/libcapi/Config.in \
	make/libs/libdnet/Config.in \
	make/libs/libgsm/Config.in \
	make/libs/iksemel/Config.in \
	make/libs/libpcap/Config.in \
	make/libs/libnet/Config.in \
	make/libs/liboping/Config.in \
	make/libs/libosip2/Config.in \
	make/libs/spandsp/Config.in \
	make/libs/srtp/Config.in \
	make/libs/pjproject2/Config.in \
	make/libs/readline/Config.in \
	make/libs/pcre/Config.in \
	make/libs/uclibc/Config.in \
	make/libs/libusb/Config.in \
	make/libs/libusb1/Config.in \
	make/libs/libftdi/Config.in \
	make/curl/Config.in.libs \
	make/libs/jansson/Config.in \
	make/js/Config.in.libs \
	make/libs/neon/Config.in \
	make/libs/serf/Config.in \
	make/libs/expat/Config.in \
	make/libs/libxml2/Config.in \
	make/xsltproc/Config.in.libs \
	make/libs/attr/Config.in \
	make/libs/libcap/Config.in \
	make/dbus/Config.in.libs \
	make/libs/libgcc_s/Config.in \
	make/libs/libconfig/Config.in \
	make/libs/libdaemon/Config.in \
	make/libs/devmapper/Config.in \
	make/libs/libelf/Config.in \
	make/libs/libev/Config.in \
	make/libs/libevent/Config.in \
	make/libs/libffi/Config.in \
	make/libs/libfakefile/Config.in \
	make/libs/libctlmgr/Config.in \
	make/libs/libmultid/Config.in \
	make/libs/libtool/Config.in \
	make/lua/Config.in.libs \
	make/pcsc-lite/Config.in.libs \
	make/libs/popt/Config.in \
	make/privatekeypassword/Config.in.libs \
	make/libs/protobuf-c/Config.in \
	make/python/Config.in.libs \
	make/rrdtool/Config.in.libs \
	make/slang/Config.in.libs \
	make/libs/libsynce/Config.in \
	make/libs/sysfsutils/Config.in \
	make/libs/wxWidgets/Config.in \
	make/libs/yaml/Config.in \
	config/ui/modules.in \
	make/ndas/Config.in.modules \
	config/ui/busybox.in \
	make/busybox/Config.in \
	make/busybox/Config.in.busybox \
	config/ui/external.in \
	make/external.in.generated \
	make/gdb/external.in \
	make/inotify-tools/external.in \
	make/ldd/external.in \
	make/lsof/external.in \
	make/ltrace/external.in \
	make/strace/external.in \
	make/usbutils/external.in \
	make/aiccu/external.in \
	make/apache/external.in \
	make/apache2/external.in \
	make/asterisk-gui/external.in \
	make/atop/external.in \
	make/autofs/external.in \
	make/autossh/external.in \
	make/avahi/external.in \
	make/bash/external.in \
	make/bind/external.in \
	make/bip/external.in \
	make/bird/external.in \
	make/bittwist/external.in \
	make/bluez-utils/external.in \
	make/bvi/external.in \
	make/checkmaild/external.in \
	make/cifsmount/external.in \
	make/classpath/external.in \
	make/cntlm/external.in \
	make/comgt/external.in \
	make/cryptsetup/external.in \
	make/ctorrent/external.in \
	make/curl/external.in \
	make/davfs2/external.in \
	make/dbus/external.in \
	make/deco/external.in \
	make/digitemp/external.in \
	make/dns2tcp/external.in \
	make/dosfstools/external.in \
	make/dropbear/external.in \
	make/dtach/external.in \
	make/e2fsprogs/external.in \
	make/emailrelay/external.in \
	make/espeak/external.in \
	make/ffmpeg/external.in \
	make/fowsr/external.in \
	make/ghostscript-fonts/external.in \
	make/git/external.in \
	make/gntpsend/external.in \
	make/gnu-make/external.in \
	make/gnutls/external.in \
	make/gocr/external.in \
	make/gw6/external.in \
	make/haproxy/external.in \
	make/html2text/external.in \
	make/htop/external.in \
	make/httpry/external.in \
	make/httptunnel/external.in \
	make/iconv/external.in \
	make/ifstat/external.in \
	make/iftop/external.in \
	make/igmpproxy/external.in \
	make/imagemagick/external.in \
	make/inadyn-mt/external.in \
	make/iodine/external.in \
	make/iptraf/external.in \
	make/irssi/external.in \
	make/isc-dhcp/external.in \
	make/jamvm/external.in \
	make/js/external.in \
	make/knock/external.in \
	make/lftp/external.in \
	make/lighttpd/external.in \
	make/lua/external.in \
	make/lynx/external.in \
	make/madplay/external.in \
	make/mc/external.in \
	make/mediatomb/external.in \
	make/microperl/external.in \
	make/mini-snmpd/external.in \
	make/minicom/external.in \
	make/minidlna/external.in \
	make/mtr/external.in \
	make/nano/external.in \
	make/nc6/external.in \
	make/ncftp/external.in \
	make/ndas/external.in \
	make/netatalk/external.in \
	make/netcat/external.in \
	make/netpbm/external.in \
	make/netsnmp/external.in \
	make/ngircd/external.in \
	make/nmap/external.in \
	make/ntfs/external.in \
	make/nzbget/external.in \
	make/obexftp/external.in \
	make/oidentd/external.in \
	make/openconnect/external.in \
	make/opendd/external.in \
	make/openssh/external.in \
	make/openssl/external.in \
	make/openvpn/external.in \
	make/owfs/external.in \
	make/pcsc-lite/external.in \
	make/php/external.in \
	make/pingtunnel/external.in \
	make/polipo/external.in \
	make/ppp/external.in \
	make/pppd/external.in \
	make/pptp/external.in \
	make/pptpd/external.in \
	make/privoxy/external.in \
	make/pyload/external.in \
	make/python/external.in \
	make/radvd/external.in \
	make/ripmime/external.in \
	make/rrdtool/external.in \
	make/rsync/external.in \
	make/rtmpdump/external.in \
	make/ruby/external.in \
	make/rush/external.in \
	make/sablevm-sdk/external.in \
	make/samba/external.in \
	make/screen/external.in \
	make/sfk/external.in \
	make/shellinabox/external.in \
	make/siproxd/external.in \
	make/sispmctl/external.in \
	make/slurm/external.in \
	make/smartmontools/external.in \
	make/smstools3/external.in \
	make/socat/external.in \
	make/spawn-fcgi/external.in \
	make/sqlite/external.in \
	make/squashfs3/external.in \
	make/squashfs4/external.in \
	make/sshfs-fuse/external.in \
	make/sslh/external.in \
	make/streamripper/external.in \
	make/stunnel/external.in \
	make/subversion/external.in \
	make/sudo/external.in \
	make/sundtek/external.in \
	make/tcp_wrappers/external.in \
	make/tcpdump/external.in \
	make/tcpproxy/external.in \
	make/tesseract/external.in \
	make/tichksum/external.in \
	make/tiff/external.in \
	make/tinc/external.in \
	make/tinyproxy/external.in \
	make/tmux/external.in \
	make/tor/external.in \
	make/transmission/external.in \
	make/tree/external.in \
	make/trickle/external.in \
	make/udpxy/external.in \
	make/umurmur/external.in \
	make/unrar/external.in \
	make/usbids/external.in \
	make/util-linux/external.in \
	make/vim/external.in \
	make/vnstat/external.in \
	make/vsftpd/external.in \
	make/vtun/external.in \
	make/wget/external.in \
	make/wol/external.in \
	make/wput/external.in \
	make/xmail/external.in \
	make/xsltproc/external.in \
	make/xz/external.in \
	make/asterisk/external.in \
	make/collectd/external.in \
	make/dtmfbox/external.in \
	make/gptfdisk/external.in \
	make/hplip/external.in \
	make/iptables/external.in \
	make/sane-backends/external.in \
	make/scanbuttond/external.in \
	make/squid/external.in \
	make/truecrypt/external.in \
	make/usbip/external.in \
	make/libs/external.in \
	make/libs/apr/external.in \
	make/libs/apr-util/external.in \
	make/libs/libart_lgpl/external.in \
	make/libs/linux-atm/external.in \
	make/libs/attr/external.in \
	make/avahi/external.in.libs \
	make/ffmpeg/external.in.libs \
	make/libs/bluez-libs/external.in \
	make/libs/libconfig/external.in \
	make/openssl/external.in.libs \
	make/curl/external.in.libs \
	make/libs/libcap/external.in \
	make/libs/libcapi/external.in \
	make/libs/libdaemon/external.in \
	make/libs/db/external.in \
	make/dbus/external.in.libs \
	make/libs/devmapper/external.in \
	make/libs/libdnet/external.in \
	make/e2fsprogs/external.in.libs \
	make/libs/libelf/external.in \
	make/libs/libev/external.in \
	make/libs/libevent/external.in \
	make/libs/libexif/external.in \
	make/libs/expat/external.in \
	make/libs/flac/external.in \
	make/libs/libffi/external.in \
	make/libs/ncurses/external.in \
	make/libs/freetype/external.in \
	make/libs/libftdi/external.in \
	make/fuse/external.in.libs \
	make/libs/libgcrypt/external.in \
	make/libs/libgd/external.in \
	make/libs/glib2/external.in \
	make/libs/gmp/external.in \
	make/gnutls/external.in.libs \
	make/libs/libgpg-error/external.in \
	make/libs/libgsm/external.in \
	make/libs/readline/external.in \
	make/iconv/external.in.libs \
	make/libs/libid3tag/external.in \
	make/libs/iksemel/external.in \
	make/libs/gettext/external.in \
	make/libs/jansson/external.in \
	make/libs/jpeg/external.in \
	make/js/external.in.libs \
	make/libs/leptonica/external.in \
	make/libs/libtool/external.in \
	make/lua/external.in.libs \
	make/libs/lz4/external.in \
	make/xz/external.in.libs \
	make/libs/lzo/external.in \
	make/libs/libmad/external.in \
	make/libs/mbedtls/external.in \
	make/libs/mpc/external.in \
	make/libs/mpfr/external.in \
	make/libs/neon/external.in \
	make/libs/libnet/external.in \
	make/netpbm/external.in.libs \
	make/libs/nettle/external.in \
	make/ntfs/external.in.libs \
	make/libs/libogg/external.in \
	make/libs/openjpeg/external.in \
	make/libs/openobex/external.in \
	make/libs/liboping/external.in \
	make/libs/opus/external.in \
	make/libs/libosip2/external.in \
	make/libs/pjproject2/external.in \
	make/rrdtool/external.in.libs \
	make/libs/libpcap/external.in \
	make/libs/pcre/external.in \
	make/pcsc-lite/external.in.libs \
	make/libs/libpng/external.in \
	make/libs/polarssl12/external.in \
	make/libs/polarssl13/external.in \
	make/libs/popt/external.in \
	make/libs/protobuf-c/external.in \
	make/python/external.in.libs \
	make/libs/serf/external.in \
	make/slang/external.in.libs \
	make/libs/spandsp/external.in \
	make/libs/speex/external.in \
	make/sqlite/external.in.libs \
	make/libs/srtp/external.in \
	make/libs/libstdcxx/external.in \
	make/libs/libsynce/external.in \
	make/libs/sysfsutils/external.in \
	make/libs/taglib/external.in \
	make/libs/libtasn1/external.in \
	make/tesseract/external.in.libs \
	make/tiff/external.in.libs \
	make/libs/libusb/external.in \
	make/libs/libusb1/external.in \
	make/libs/uclibcxx/external.in \
	make/libs/libvorbis/external.in \
	make/libs/wxWidgets/external.in \
	make/libs/libxml2/external.in \
	make/xsltproc/external.in.libs \
	make/libs/zlib/external.in \
	make/linux/external.in \
	make/ndas/external.in.modules \
	config/ui/freetz.in \
	config/ui/toolchain.in \
	config/ui/build-system.in \
	config/ui/fwmod.in \
	config/ui/squashfs.in \
	config/ui/strip.in \
	config/mod/download.in \
	config/custom.in \
	config/avm/availability.in \
	config/avm/features.in \
	config/avm/packaging.in \
	config/avm/mtd.in \
	config/avm/version.in \
	config/avm/architecture.in \
	config/avm/compiler.in \
	config/avm/kernel.in \
	config/avm/uclibc.in \
	config/avm/source.in \
	config/mod/compiler.in \
	config/mod/kernel.in \
	config/mod/prefix.in \
	config/pkg/mandatory.in \
	config/pkg/cifs.in \
	config/pkg/nfs.in \
)

$(deps_config_cache): ;
